// Modellname: quali10      Maerz 2000
// Loesung der erweiterten Aufgabenstellung

// Die Makrodefinition '_impexp' dient zur Exportierung
// der Funktionen, Klassen und Variablen innerhalb der Library, 
// wird aber eigentlich nur fuer Windows benoetigt :-(

#ifdef WIN32
  #undef _impexp
  #define _impexp __declspec(dllexport)
#else
  #undef _impexp
  #define _impexp
#endif

#include <stdio.h>
#include "sfxprg.h"     // enthaelt die Funktionen der C-Schnittstelle

void _impexp init_prog () {
}

void _impexp prog_30 () {
    aufnehmen ();
    arbeiten ();
    abgeben ();
    while ( (AnzDirAvisIst (5) >= AnzDirAvisSoll (5))
            && (Meldungen (This)  < 2)  )
          warten();
}

void _impexp prog_50 () {
  aufnehmen ();
  arbeiten ();
  if (zufallszahl (3, 1) <= 1.0) {
    setTEVariante(This, 6);
    abgeben (2);
    dprintf ("Teil zur Nachbearbeitung zu Maschine 3!\n");
  }
  else 
    abgeben ();
  if (Zustand (3) == PRGWARTEN) aktivieren (3);
}

void _impexp exit_prog () {
}
